Update Activity Records
curl --request POST \
--url https://api.lumos.com/activity_records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"records": [
{
"account": {
"external_id": "<string>",
"email": "<string>"
},
"event": {},
"timestamp": "2023-11-07T05:31:56Z",
"source_app_id": "<string>",
"app": {
"instance_identifier": "<string>"
}
}
]
}
'import requests
url = "https://api.lumos.com/activity_records"
payload = { "records": [
{
"account": {
"external_id": "<string>",
"email": "<string>"
},
"event": {},
"timestamp": "2023-11-07T05:31:56Z",
"source_app_id": "<string>",
"app": { "instance_identifier": "<string>" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
account: {external_id: '<string>', email: '<string>'},
event: {},
timestamp: '2023-11-07T05:31:56Z',
source_app_id: '<string>',
app: {instance_identifier: '<string>'}
}
]
})
};
fetch('https://api.lumos.com/activity_records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/activity_records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'records' => [
[
'account' => [
'external_id' => '<string>',
'email' => '<string>'
],
'event' => [
],
'timestamp' => '2023-11-07T05:31:56Z',
'source_app_id' => '<string>',
'app' => [
'instance_identifier' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/activity_records"
payload := strings.NewReader("{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lumos.com/activity_records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/activity_records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"job": {
"job_id": "<string>",
"state": "RUNNING"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Core
Update Activity Records
Update the last_login or last_activity for a given account.
POST
/
activity_records
Update Activity Records
curl --request POST \
--url https://api.lumos.com/activity_records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"records": [
{
"account": {
"external_id": "<string>",
"email": "<string>"
},
"event": {},
"timestamp": "2023-11-07T05:31:56Z",
"source_app_id": "<string>",
"app": {
"instance_identifier": "<string>"
}
}
]
}
'import requests
url = "https://api.lumos.com/activity_records"
payload = { "records": [
{
"account": {
"external_id": "<string>",
"email": "<string>"
},
"event": {},
"timestamp": "2023-11-07T05:31:56Z",
"source_app_id": "<string>",
"app": { "instance_identifier": "<string>" }
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
account: {external_id: '<string>', email: '<string>'},
event: {},
timestamp: '2023-11-07T05:31:56Z',
source_app_id: '<string>',
app: {instance_identifier: '<string>'}
}
]
})
};
fetch('https://api.lumos.com/activity_records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/activity_records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'records' => [
[
'account' => [
'external_id' => '<string>',
'email' => '<string>'
],
'event' => [
],
'timestamp' => '2023-11-07T05:31:56Z',
'source_app_id' => '<string>',
'app' => [
'instance_identifier' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/activity_records"
payload := strings.NewReader("{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lumos.com/activity_records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/activity_records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"records\": [\n {\n \"account\": {\n \"external_id\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"event\": {},\n \"timestamp\": \"2023-11-07T05:31:56Z\",\n \"source_app_id\": \"<string>\",\n \"app\": {\n \"instance_identifier\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"job": {
"job_id": "<string>",
"state": "RUNNING"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The activity records to upload.
Show child attributes
Show child attributes
Response
Successful Response
State of the job to post-process the records.
Show child attributes
Show child attributes